import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { Service } from "../../../sdk";
import { FireEnjinTriggerInput } from "@fireenjin/sdk";
export declare class AppServiceList implements ComponentInterface {
  filterBarEl: any;
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  paginationEl: any;
  query: string;
  selectedIds: string[];
  selectedServices: Partial<Service>[];
  services: Service[];
  filter?: {
    tab?: string;
  };
  onSearchInput(event: any): Promise<void>;
  onTrigger(event: any): Promise<void>;
  toggleService(event: any): Promise<void>;
  componentDidLoad(): Promise<void>;
  render(): any[];
}
